umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_notedialog.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/notedialog.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_NoteDialog_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_NoteDialog_t | qt_meta_stringdata_NoteDialog
static const uint | qt_meta_data_NoteDialog []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_NoteDialog_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_NoteDialog_t
Definition: moc_notedialog.cpp:24

## Variable Documentation

## ◆ qt_meta_data_NoteDialog

const uint qt_meta_data_NoteDialog[]
| static

Initial value:
= {
8,
0,
0, 0,
2, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 0, 24, 2, 0x0a ,
3, 0, 25, 2, 0x0a ,
QMetaType::Void,
QMetaType::Void,
0
}

## ◆ qt_meta_stringdata_NoteDialog

const qt_meta_stringdata_NoteDialog_t qt_meta_stringdata_NoteDialog
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 10),
QT_MOC_LITERAL(1, 11, 6),
QT_MOC_LITERAL(2, 18, 0),
QT_MOC_LITERAL(3, 19, 9)
},
"NoteDialog\0slotOk\0\0slotApply"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_notedialog.cpp:28